ambix_readf()
ambix

Read samples from the ambix file. More...

## Functions

AMBIX_API int64_t | ambix_readf_int16 (ambix_t *ambix, int16_t *ambidata, int16_t *otherdata, int64_t frames)
| Read samples (as 16bit signed integer values) from the ambix file.
AMBIX_API int64_t | ambix_readf_int32 (ambix_t *ambix, int32_t *ambidata, int32_t *otherdata, int64_t frames)
| Read samples (as 32bit signed integer values) from the ambix file.
AMBIX_API int64_t | ambix_readf_float32 (ambix_t *ambix, float32_t *ambidata, float32_t *otherdata, int64_t frames)
| Read samples (as single precision floating point values) from the ambix file.
AMBIX_API int64_t | ambix_readf_float64 (ambix_t *ambix, float64_t *ambidata, float64_t *otherdata, int64_t frames)
| Read samples (as double precision floating point values) from the ambix file.

## Detailed Description

Read samples from the ambix file.

Reads samples from an ambix file, possibly expanding a reduced channel set to a full ambisonics set (when reading an 'ambix extended' file as 'ambix basic')

Parameters

  ambix | The handle to an ambix file
  ambidata | pointer to user allocated array to retrieve ambisonics channels into; must be large enough to hold at least (frames*ambix->info.ambichannels) samples, OR if you are reading the file as 'ambix basic' and you successfully added an adaptor matrix using ambix_set_adaptormatrix() the array must be large enough to hold at least (frames * adaptormatrix.rows) samples.
  otherdata | pointer to user allocated array to retrieve non-ambisonics channels into must be large enough to hold at least (frames*ambix->info.otherchannels) samples.
  frames | number of sample frames you want to read

Returns
  the number of sample frames successfully read